# REST API Reference

#### Versioning <a href="#versioning" id="versioning"></a>

As our API continues to evolve it will be versioned to ensure backward compatibility for our users. Breaking changes will come under new major versions, while non-breaking changes may be added to existing versions and change more frequently.

**Breaking changes:**

* Removal of endpoints
* Removing response data
* Changes in request / response format
* Changes to authentication mechanism

**Non-breaking changes:**

* Adding new endpoints
* Adding to response data
* New parameters

### Authentication <a href="#authentication" id="authentication"></a>

#### Bearer Token <a href="#bearerauth" id="bearerauth"></a>

To retrieve your access token, follow these steps:

1. Click on the dropdown avatar in the top-right corner.
2. Select "Settings."
3. Copy your API token from the settings page.

It is your responsibility to keep it secret. Every API call requires this token for authentication and authorization.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.proxidize.com/apis/rest-api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
